import { ComponentFixture, TestBed } from '@angular/core/testing';

import { InviteComponent } from './invite.component';
import {FooterStubComponent, SidebarStubComponent, TopbarStubComponent} from '../../../../testing';
import {SettingsModule} from '../settings.module';
import {AppModule} from '../../../app.module';

describe('InviteComponent', () => {
  let component: InviteComponent;
  let fixture: ComponentFixture<InviteComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        InviteComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      imports: [
        AppModule,
        SettingsModule,
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(InviteComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
